MINTPY-MASK(1)

NAME
mintpy-mask - Mask file.

DESCRIPTION
usage: mask.py [-h] -m MASK_FILE [-o OUTFILE] [-t THRESHOLD]

    [--fill FILL_VALUE] [-x SUBSET_X SUBSET_X] [-y SUBSET_Y SUBSET_Y] file

Mask file

  positional arguments:

file
    File to be masked

  options:

-h, --help
    show this help message and exit

-m MASK_FILE, --mask MASK_FILE
    mask for pixels used in ramp estimation

-o OUTFILE, --outfile OUTFILE
    Output file name.

-t THRESHOLD
    threshold value used for masking. if not specified, only pixels with mask value equal to zero is masked out.

--fill FILL_VALUE
    fill masked out area with input value. i.e. np.nan (default), 0, 1000, ... If np.nan and input data matrix is not float/complex, convert matrix data type to np.float32.

-x SUBSET_X SUBSET_X
    subset range in x/cross-track/column direction

-y SUBSET_Y SUBSET_Y
    subset range in y/along-track/row direction

  example:

mask.py
    velocity.h5 -m Mask.h5

mask.py
    timeseries.h5 -m temporalCoherence.h5 -t 0.7

mask.py
    ifgramStack.h5 -m 100102_101120.cor -t 0.9 -y 200 300 -x 300 400

mask.py
    filt_20060924_20090214.int -m waterMask.h5 -o filt_20060924_20090214_msk.int

mask.py
    filt_20060924_20090214.cor -m waterMask.h5 -o filt_20060924_20090214_msk.cor